#include<bits/stdc++.h>
# define endl            '\n'
# define clr(x,a)        memset(x,a,sizeof(x))
# define PI              3.14159265358979323846
# define vi              vector<int>
# define fo(i,n)         for(int i=1;i<=n;i++)
# define all(a)          a.begin(), a.end()
# define deb(x)          cout<<#x<<" = "<<x<<endl;
# define pb              push_back
# define sc              scanf
# define pr              printf
# define tc              int t; cin>>t; while(t--)
typedef long long ll;
using namespace std;

const int mxN=1000006, mxM=1000006, mod=1e9+7;
int n, sol;
string s, rec;
bool imam[156];

void rek(int dub, int prvi){
   if(dub==rec.size()){
      sol++;
      return;
   }
   char sl=rec[dub];
   for(int i=0; i<s.size(); i++){
      if(s[i]==sl && i>prvi)
         rek(dub+1, i);
   }
}

int main(){
   freopen("in.txt", "r", stdin);
   cin>>n>>s;
   for(int i=0; i<n; i++){
      imam[s[i]-'A']=1;
   }
   for(int i=0; i<26; i++) if(imam[i]) rec.pb(i+'A');
//   cout<<rec<<endl;
   rek(0,-1);
   cout<<sol<<endl;

   return 0;
}